#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		print-manager
Summary:	Print manager
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	bc6dda0633d55d1ac63366cd788f4ef7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kwindowsystem-devel >= %{kframever}
BuildRequires:	kf5-plasma-framework-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool for managing print jobs and printers.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/configure-printer
%attr(755,root,root) %{_bindir}/kde-add-printer
%attr(755,root,root) %{_bindir}/kde-print-queue
%attr(755,root,root) %{_libdir}/libkcupslib.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/printmanager
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/printmanager/libprintmanager.so
%{_libdir}/qt5/qml/org/kde/plasma/printmanager/qmldir
%{_desktopdir}/org.kde.ConfigurePrinter.desktop
%{_desktopdir}/org.kde.PrintQueue.desktop
%{_desktopdir}/org.kde.kde-add-printer.desktop
%{_datadir}/knotifications5/printmanager.notifyrc
%{_datadir}/metainfo/org.kde.plasma.printmanager.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.printmanager
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/printmanager.so
%{_datadir}/metainfo/org.kde.print-manager.metainfo.xml
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_printer_manager.so
%{_desktopdir}/kcm_printer_manager.desktop
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-print-manager.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 000f24b
- updated to 23.08.5

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1133a4b
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f69193e
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3bfa8b9
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> db5f710
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> af79e25
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7ba12fb
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 95a76e7
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 145a460
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 88d6660
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ae64ac4
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8be82fc
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9aa7fb8
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 48eae15
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 116a85b
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b8b6f2b
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ee50154
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0153939
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4fb7df0
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e5b39a1
- updated to 22.08.1

